<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: frontend/src/lib/Chat/Chat.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_ca0386ec887ae6362f93b0d653b52e0c.html">frontend</a></li><li class="navelem"><a class="el" href="dir_debbd63f1d8db984f7ce6be7690dc411.html">src</a></li><li class="navelem"><a class="el" href="dir_4a296fb22e14d54e648023a35f56bd71.html">lib</a></li><li class="navelem"><a class="el" href="dir_129a4418aa03d7ccb72108f62decaa2d.html">Chat</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">Chat.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="Chat_8h_source.html">Chat.h</a>&quot;</code><br />
<code>#include &quot;ui_Chat.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for Chat.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="Chat_8cpp__incl.png" border="0" usemap="#frontend_2src_2lib_2Chat_2Chat_8cpp" alt=""/></div>
<map name="frontend_2src_2lib_2Chat_2Chat_8cpp" id="frontend_2src_2lib_2Chat_2Chat_8cpp">
<area shape="rect" title=" " alt="" coords="1183,5,1337,47"/>
<area shape="rect" href="Chat_8h.html" title=" " alt="" coords="1180,95,1244,121"/>
<area shape="rect" title=" " alt="" coords="1268,95,1351,121"/>
<area shape="rect" title=" " alt="" coords="5,169,139,196"/>
<area shape="rect" title=" " alt="" coords="163,169,323,196"/>
<area shape="rect" title=" " alt="" coords="543,333,633,360"/>
<area shape="rect" title=" " alt="" coords="1119,169,1198,196"/>
<area shape="rect" title=" " alt="" coords="1222,169,1309,196"/>
<area shape="rect" title=" " alt="" coords="1333,169,1417,196"/>
<area shape="rect" title=" " alt="" coords="314,333,369,360"/>
<area shape="rect" title=" " alt="" coords="1441,169,1501,196"/>
<area shape="rect" title=" " alt="" coords="393,333,519,360"/>
<area shape="rect" title=" " alt="" coords="1525,169,1609,196"/>
<area shape="rect" title=" " alt="" coords="1633,169,1727,196"/>
<area shape="rect" title=" " alt="" coords="1752,169,1829,196"/>
<area shape="rect" title=" " alt="" coords="1854,169,1919,196"/>
<area shape="rect" title=" " alt="" coords="1944,169,2107,196"/>
<area shape="rect" title=" " alt="" coords="2131,169,2239,196"/>
<area shape="rect" title=" " alt="" coords="2264,169,2325,196"/>
<area shape="rect" title=" " alt="" coords="2349,169,2408,196"/>
<area shape="rect" href="NetworkService_8hpp.html" title=" " alt="" coords="1383,244,1540,285"/>
<area shape="rect" href="config_8h.html" title=" " alt="" coords="1049,333,1122,360"/>
<area shape="rect" href="globals_8h.html" title=" " alt="" coords="449,251,530,278"/>
<area shape="rect" href="gamestateservice_8h.html" title=" " alt="" coords="842,169,993,196"/>
<area shape="rect" href="settingsservice_8h.html" title=" " alt="" coords="707,251,840,278"/>
<area shape="rect" title=" " alt="" coords="1147,333,1227,360"/>
<area shape="rect" title=" " alt="" coords="1056,408,1115,435"/>
<area shape="rect" title=" " alt="" coords="1563,333,1629,360"/>
<area shape="rect" title=" " alt="" coords="1654,333,1730,360"/>
<area shape="rect" title=" " alt="" coords="1414,333,1538,360"/>
<area shape="rect" title=" " alt="" coords="1251,333,1338,360"/>
<area shape="rect" title=" " alt="" coords="880,333,955,360"/>
<area shape="rect" title=" " alt="" coords="966,251,1037,278"/>
<area shape="rect" title=" " alt="" coords="1061,251,1155,278"/>
<area shape="rect" title=" " alt="" coords="657,333,730,360"/>
<area shape="rect" title=" " alt="" coords="755,333,856,360"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classMyDelegate.html">MyDelegate</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
